<html>
<head>
<title>Ogre::SceneManager::SceneMgrQueuedRenderableVisitor Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html">SceneMgrQueuedRenderableVisitor</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor" --><!-- doxytag: inherits="Ogre::QueuedRenderableVisitor" -->
<p>Inner helper class to implement the visitor pattern for rendering objects in a queue.  
 <a href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::SceneManager::SceneMgrQueuedRenderableVisitor:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor__inherit__graph.gif" border="0" usemap="#Ogre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor_inherit__map" id="Ogre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1QueuedRenderableVisitor.html" title="Visitor interface for items in a QueuedRenderableCollection." alt="" coords="83,5,288,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a1debd6d9332b92a9a2a40077ba908427">SceneMgrQueuedRenderableVisitor</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#ac8c6da90e0c6ca347c97acdf9b3e8dff">~SceneMgrQueuedRenderableVisitor</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a0bafaaa59934dc453a56b55feb48f7b1">visit</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *r)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Visit method called once per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> on a grouped collection.  <a href="#a0bafaaa59934dc453a56b55feb48f7b1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#ad6faf056bf49c141a2792e86693a74df">visit</a> (const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *p)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a355e8d4526c10772c7d85798806f7f8a">visit</a> (<a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> *rp)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when visiting a <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a>, i.e.  <a href="#a355e8d4526c10772c7d85798806f7f8a"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a5a00a39fe1147c5806c457a4a9feed88">targetSceneMgr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Target SM to send renderables to.  <a href="#a5a00a39fe1147c5806c457a4a9feed88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a9b568558ac92b819f6c141cfae20613f">transparentShadowCastersMode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Are we in transparent shadow caster mode?  <a href="#a9b568558ac92b819f6c141cfae20613f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#acf473d568a738bb42e81ef872fe600a2">autoLights</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Automatic light handling?  <a href="#acf473d568a738bb42e81ef872fe600a2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#aa05f120964ef4bf3127dffa67c03480a">manualLightList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Manual light list.  <a href="#aa05f120964ef4bf3127dffa67c03480a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a1f81a13b0b7ff39afa5e96e35728a40e">scissoring</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Scissoring if requested?  <a href="#a1f81a13b0b7ff39afa5e96e35728a40e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#ab7ddd71a0da2188c134ad2592d1c7ec2">mUsedPass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> that was actually used at the grouping level.  <a href="#ab7ddd71a0da2188c134ad2592d1c7ec2"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Inner helper class to implement the visitor pattern for rendering objects in a queue. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00354">354</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1debd6d9332b92a9a2a40077ba908427"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::SceneMgrQueuedRenderableVisitor" ref="a1debd6d9332b92a9a2a40077ba908427" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a1debd6d9332b92a9a2a40077ba908427">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::SceneMgrQueuedRenderableVisitor</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00360">360</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac8c6da90e0c6ca347c97acdf9b3e8dff"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::~SceneMgrQueuedRenderableVisitor" ref="ac8c6da90e0c6ca347c97acdf9b3e8dff" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#ac8c6da90e0c6ca347c97acdf9b3e8dff">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::~SceneMgrQueuedRenderableVisitor</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00362">362</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0bafaaa59934dc453a56b55feb48f7b1"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit" ref="a0bafaaa59934dc453a56b55feb48f7b1" args="(Renderable *r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a0bafaaa59934dc453a56b55feb48f7b1">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Visit method called once per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> on a grouped collection. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If this method is called, the <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a> visit method will not be called for this collection. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a29ed32d75e5246ec464cb01fd5de50ec">Ogre::QueuedRenderableVisitor</a>.</p>

</div>
</div>
<a class="anchor" id="ad6faf056bf49c141a2792e86693a74df"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit" ref="ad6faf056bf49c141a2792e86693a74df" args="(const Pass *p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a0bafaaa59934dc453a56b55feb48f7b1">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#aa36694ac36f96d8c9c9363279b97bef4">Ogre::QueuedRenderableVisitor</a>.</p>

</div>
</div>
<a class="anchor" id="a355e8d4526c10772c7d85798806f7f8a"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit" ref="a355e8d4526c10772c7d85798806f7f8a" args="(RenderablePass *rp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a0bafaaa59934dc453a56b55feb48f7b1">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> *&#160;</td>
          <td class="paramname"><em>rp</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when visiting a <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a>, i.e. </p>
<p>items in a sorted collection where items are not grouped by pass. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If this is called, neither of the other 2 visit methods will be called. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a9fc6bc2185fad0be06562f49dd23003c">Ogre::QueuedRenderableVisitor</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="acf473d568a738bb42e81ef872fe600a2"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::autoLights" ref="acf473d568a738bb42e81ef872fe600a2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#acf473d568a738bb42e81ef872fe600a2">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::autoLights</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Automatic light handling? </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00372">372</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa05f120964ef4bf3127dffa67c03480a"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::manualLightList" ref="aa05f120964ef4bf3127dffa67c03480a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a>* <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#aa05f120964ef4bf3127dffa67c03480a">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::manualLightList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Manual light list. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00374">374</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab7ddd71a0da2188c134ad2592d1c7ec2"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::mUsedPass" ref="ab7ddd71a0da2188c134ad2592d1c7ec2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Pass.html">Pass</a>* <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#ab7ddd71a0da2188c134ad2592d1c7ec2">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::mUsedPass</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> that was actually used at the grouping level. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00358">358</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1f81a13b0b7ff39afa5e96e35728a40e"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::scissoring" ref="a1f81a13b0b7ff39afa5e96e35728a40e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a1f81a13b0b7ff39afa5e96e35728a40e">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::scissoring</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Scissoring if requested? </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00376">376</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5a00a39fe1147c5806c457a4a9feed88"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::targetSceneMgr" ref="a5a00a39fe1147c5806c457a4a9feed88" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a5a00a39fe1147c5806c457a4a9feed88">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::targetSceneMgr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Target SM to send renderables to. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00368">368</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9b568558ac92b819f6c141cfae20613f"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::transparentShadowCastersMode" ref="a9b568558ac92b819f6c141cfae20613f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a9b568558ac92b819f6c141cfae20613f">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::transparentShadowCastersMode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Are we in transparent shadow caster mode? </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00370">370</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:05
</p>
</body>
</html>
